$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.462-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.462-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '91CAC27CA3A7966A3B7C58718E27D080EE3384D3EBCE56142D0DB1379F9267A3'
  checksumType = 'sha256'
  checksum64 = '91CAC27CA3A7966A3B7C58718E27D080EE3384D3EBCE56142D0DB1379F9267A3'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.462-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
